Author Topic: 3.6 failing to install on HP T30 laptop  (Read 744 times)

Offline galen

  • Jr. Member
  • **
  • Posts: 59
  • A Bright, Humanist, Skeptic
3.6 failing to install on HP T30 laptop
« on: May 05, 2015, 11:34:09 pm »
Since my machines are locked and won't upgrade further I decided to install 3.6 LXDE onto T30 laptop.
Checked the md5sums, good
checked the DVD against the iso, ok
burned two DVDs.
fully checked hard drive as usual, partitions, fsck -c, checked DVD on laptop. ok
Installer failed with both DVDs


Code: [Select]
Traceback (most recent call last):

  File "/usr/lib/live-installer/frontend/gtk_interface.py", line 828, in wizard_cb
    partitioning.build_partitions(self)

  File "/usr/lib/live-installer/partitioning.py", line 55, in build_partitions
    partition_setup = PartitionSetup()

  File "/usr/lib/live-installer/partitioning.py", line 210, in __init__
    self.disks = _get_attached_disks()

  File "/usr/lib/live-installer/partitioning.py", line 201, in _get_attached_disks
    size = str(int(float(size[:-1]) * (1024/1000)**'BkMGTPEZY'.index(size[-1]))) + size[-1]

ValueError: substring not found


XMPP: galen@jabber.org
PGP/GPG: C938FD97

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1467
    • SparkyLinux
Re: 3.6 failing to install on HP T30 laptop
« Reply #1 on: May 06, 2015, 12:48:22 am »
You have 2 choices:
1. If your machine doesn't have UEFI, just Bios, run the old installer:
Code: [Select]
sudo sparkylinux-installer gui2. Download and try the latest iso image of Sparky 4.0 RC.
Nothing is easy as it looks.

Offline galen

  • Jr. Member
  • **
  • Posts: 59
  • A Bright, Humanist, Skeptic
Re: 3.6 failing to install on HP T30 laptop
« Reply #2 on: May 10, 2015, 03:04:04 pm »
thank you
sudo sparkylinux-installer gui
worked on two t30 laptops
including setting the keyboard to french canadian multiligual.
Sparky is the ony distro I've found that does this ! bravo

Q. Will using the older installer cause problems with auto-updates since the system has a root account again?
XMPP: galen@jabber.org
PGP/GPG: C938FD97

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1467
    • SparkyLinux
Re: 3.6 failing to install on HP T30 laptop
« Reply #3 on: May 10, 2015, 04:24:15 pm »
The problem you had before happed between sparky 3.5 and 3.6.
Sparky 3.6 is free of the changes (siduction packages) so the upgrade should be made ease even Sparky 3.6 has been released 5 month ago.
Nothing is easy as it looks.